/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.menu.OpenExplorer');

org.ametys.web.menu.OpenExplorer = function (button, configuration, index) // controlId, config, pluginName)
{
	var conf = button.ribbonControl ? button.ribbonControl.getConfiguration() : configuration;
	var toolID = isNaN (parseInt(index)) ? conf['role'] : conf['menu-' + index + '-role'];
	
	var tool = org.ametys.uitool.ToolsManager.getInstance().getTool(toolID);
	if (tool != null)
	{
		tool.close();
	}
	else
	{
		org.ametys.uitool.ToolsManager.getInstance().openTool(toolID, {});
	}
}