/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.tool.right');

org.ametys.web.tool.right.ProfilesTreePanel = function(config) 
{
	org.ametys.web.tool.right.ProfilesTreePanel.superclass.constructor.call(this, config);
}; 


Ext.extend(org.ametys.web.tool.right.ProfilesTreePanel, org.ametys.rights.profile.ProfilesTreePanel, {
});

org.ametys.web.tool.right.ProfilesTreePanel.prototype._getLoader = function ()
{
	return new org.ametys.rights.profile.ProfilesXmlLoader ({
        dataUrl: getPluginDirectUrl('web') + '/rights/profiles-context.xml',
        syncMode: true // synchronous mode for filters
    });
}
