/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.lock');

org.ametys.web.lock.LockButton = function(id, configuration, pluginName) 
{
	org.ametys.web.lock.LockButton.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.web.lock.LockButton, org.ametys.cms.buttons.lock.LockButton, {});

org.ametys.cms.buttons.lock.LockButton.prototype._setRefreshParams = function (params)
{
	params.siteName = context.parameters.siteName;
}

