/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.tool.group');

org.ametys.web.tool.group.FOUserFOGroupButton = function(id, configuration, pluginName) 
{
	org.ametys.web.tool.group.FOUserFOGroupButton.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.web.tool.group.FOUserFOGroupButton, org.ametys.cms.tool.group.UserGroupButton, {});

org.ametys.web.tool.group.FOUserFOGroupButton.prototype._isUserGroupSelection = function(targets)
{
	var findGroup = false;
	var findUser = false;
	
	var allTargets = [];
	for (var i=0; i < targets.length; i++)
	{
		if (targets[i].getType() == "fo-group")
		{
			findGroup = true;
		}
		else if (targets[i].getType() == "fo-user")
		{
			findUser = true;
		}
		
		if (findGroup && findUser)
		{
			return true;
		}
	}
	return false;
}




